.ws-time-slot-picker {
  flex: 1;
}

.ws-time-slot-picker-day {
  display: flex;
  padding: 10px 0px;
  width: auto;
  flex: 1;
  align-items: center;
  flex-direction: column;
  background: white;
  border: 1px solid #E3E4E6;
  border-radius: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
}

.ws-time-slot-picker-day + .ws-time-slot-picker-day {
  margin-left: 4px;
}

.ws-time-slot-picker-day .day-title {
  font-weight: 600;
  text-transform: capitalize;
}

.ws-time-slot + .ws-time-slot {
  margin-top: 9px;
}

.ws-time-slot input[type="checkbox"] {
  position: absolute;
  display: none;
}

.ws-time-slot input[type='checkbox']:checked ~ label svg {
  width: 22px;
}

.ws-time-slot input[type='checkbox']:checked ~ label path {
  stroke: white;
}

.ws-time-slot input[type='checkbox']:checked ~ label .icon {
  background: #0D8CE6;
}

.ws-time-slot input[type='checkbox']:disabled ~ label path {
  stroke: #E3E4E6;
}

.ws-time-slot label .icon:hover {
  background: #ECF6FD;
}

.ws-time-slot label .icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 36px;
  height: 36px;
  border-radius: 18px;
  -webkit-border-radius: 18px;
  -moz-border-radius: 18px;
  -ms-border-radius: 18px;
  -o-border-radius: 18px;
}
